---
version: 2

type: worker

workers:
  - slug: generic-training-dataset
    name: Generic Training Dataset Extractor
    type: data-extract
    docker:
      build: Dockerfile
    user_configuration:
      train_folder_id:
        type: string
        title: ID of the training folder on Arkindex
        required: true
      validation_folder_id:
        type: string
        title: ID of the validation folder on Arkindex
        required: true
      test_folder_id:
        type: string
        title: ID of the testing folder on Arkindex
        required: true
